# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'garen/version'

Gem::Specification.new do |spec|
  spec.name          = 'garen'
  spec.version       = Garen::VERSION
  spec.authors       = ['Daniel Baugh']
  spec.email         = ['daniel.r.baugh@gmail.com']

  spec.summary       = 'An API wrapper for Riot Games League of Legends'
  spec.description   = 'An API wrapper for Riot Games League of Legends'
  spec.homepage      = 'https://github.com/b4ugh/garen'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "Set to 'http://mygemserver.com'"
  # else
  #   raise 'RubyGems 2.0 or newer is required to protect against ' \
  #     'public gem pushes.'
  # end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'activesupport', '~> 5.1'
  spec.add_dependency 'rails', '~> 5.1'
  spec.add_dependency 'faraday', '~> 0.13.1'
  spec.add_dependency 'faraday_middleware', '~> 0.10.0'
  spec.add_dependency 'rash', '~> 0.4.0'

  spec.add_development_dependency 'bundler', '~> 1.15'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'vcr', '~> 3.0'
  spec.add_development_dependency 'simplecov', '~> 0.15.0'
  spec.add_development_dependency 'codeclimate-test-reporter', '~> 1.0'
end
